declare const _default: {
    $schema: string;
    $ref: string;
    definitions: {
        CucumberJson: {
            type: string;
            properties: {
                implementation: {
                    type: string;
                };
                features: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        Feature: {
            type: string;
            properties: {
                uri: {
                    type: string;
                };
                id: {
                    type: string;
                };
                line: {
                    type: string;
                };
                keyword: {
                    type: string;
                };
                name: {
                    type: string;
                };
                description: {
                    type: string;
                };
                elements: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                tags: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        Element: {
            type: string;
            properties: {
                start_timestamp: {
                    type: string;
                };
                line: {
                    type: string;
                };
                id: {
                    type: string;
                };
                type: {
                    $ref: string;
                };
                keyword: {
                    type: string;
                };
                name: {
                    type: string;
                };
                description: {
                    type: string;
                };
                before: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                steps: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                after: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                tags: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        ElementType: {
            type: string;
            enum: string[];
        };
        Hook: {
            type: string;
            properties: {
                match: {
                    $ref: string;
                };
                result: {
                    $ref: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        Match: {
            type: string;
            properties: {
                location: {
                    type: string;
                };
                arguments: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            additionalProperties: boolean;
        };
        Argument: {
            type: string;
            properties: {
                value: {
                    type: string;
                };
                offset: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        Result: {
            type: string;
            properties: {
                duration: {
                    type: string;
                };
                status: {
                    $ref: string;
                };
                error_message: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        Status: {
            type: string;
            enum: string[];
        };
        Step: {
            type: string;
            properties: {
                keyword: {
                    type: string;
                };
                line: {
                    type: string;
                };
                match: {
                    $ref: string;
                };
                name: {
                    type: string;
                };
                result: {
                    $ref: string;
                };
                doc_string: {
                    $ref: string;
                };
                rows: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        DocString: {
            type: string;
            properties: {
                line: {
                    type: string;
                };
                value: {
                    type: string;
                };
                content_type: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        DataTableRow: {
            type: string;
            properties: {
                cells: {
                    type: string;
                    items: {
                        type: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        Tag: {
            type: string;
            properties: {
                name: {
                    type: string;
                };
                line: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
    };
};
export default _default;
//# sourceMappingURL=CucumberSchema.d.ts.map