declare const _default: {
    $schema: string;
    $ref: string;
    definitions: {
        BehaveJson: {
            type: string;
            items: {
                $ref: string;
            };
        };
        Feature: {
            type: string;
            properties: {
                status: {
                    $ref: string;
                };
                location: {
                    type: string;
                };
                keyword: {
                    type: string;
                };
                name: {
                    type: string;
                };
                description: {
                    type: string;
                    items: {
                        type: string;
                    };
                };
                elements: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                tags: {
                    type: string;
                    items: {
                        type: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        Status: {
            type: string;
            enum: string[];
        };
        Element: {
            type: string;
            properties: {
                steps: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                type: {
                    type: string;
                    enum: string[];
                };
                name: {
                    type: string;
                };
                description: {
                    type: string;
                    items: {
                        type: string;
                    };
                };
                keyword: {
                    type: string;
                };
                location: {
                    type: string;
                };
                tags: {
                    type: string;
                    items: {
                        type: string;
                    };
                };
                status: {
                    $ref: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        Step: {
            type: string;
            properties: {
                step_type: {
                    type: string;
                };
                name: {
                    type: string;
                };
                keyword: {
                    type: string;
                };
                location: {
                    type: string;
                };
                result: {
                    $ref: string;
                };
                match: {
                    $ref: string;
                };
                table: {
                    $ref: string;
                };
                text: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        Result: {
            type: string;
            properties: {
                status: {
                    $ref: string;
                };
                duration: {
                    type: string;
                };
                error_message: {
                    type: string;
                    items: {
                        type: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        Match: {
            type: string;
            properties: {
                location: {
                    type: string;
                };
                arguments: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        Argument: {
            type: string;
            properties: {
                name: {
                    type: string;
                };
                value: {};
                original: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        Table: {
            type: string;
            properties: {
                rows: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        Row: {
            type: string;
            items: {
                type: string;
            };
        };
    };
};
export default _default;
//# sourceMappingURL=BehaveSchema.d.ts.map