declare const _default: {
    $schema: string;
    $ref: string;
    definitions: {
        CucumberJvmJson: {
            type: string;
            items: {
                $ref: string;
            };
        };
        JvmFeature: {
            type: string;
            properties: {
                uri: {
                    type: string;
                };
                id: {
                    type: string;
                };
                line: {
                    type: string;
                };
                keyword: {
                    type: string;
                };
                name: {
                    type: string;
                };
                description: {
                    type: string;
                };
                elements: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                tags: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JvmElement: {
            type: string;
            properties: {
                start_timestamp: {
                    type: string;
                };
                line: {
                    type: string;
                };
                id: {
                    type: string;
                };
                type: {
                    type: string;
                    enum: string[];
                };
                keyword: {
                    type: string;
                };
                name: {
                    type: string;
                };
                description: {
                    type: string;
                };
                steps: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                before: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                after: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
                tags: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JvmStep: {
            type: string;
            properties: {
                keyword: {
                    type: string;
                };
                line: {
                    type: string;
                };
                match: {
                    $ref: string;
                };
                name: {
                    type: string;
                };
                result: {
                    $ref: string;
                };
                doc_string: {
                    $ref: string;
                };
                rows: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JvmMatch: {
            type: string;
            properties: {
                location: {
                    type: string;
                };
                arguments: {
                    type: string;
                    items: {
                        $ref: string;
                    };
                };
            };
            additionalProperties: boolean;
        };
        JvmArgument: {
            type: string;
            properties: {
                val: {
                    type: string;
                };
                offset: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JvmResult: {
            type: string;
            properties: {
                duration: {
                    type: string;
                };
                status: {
                    $ref: string;
                };
                error_message: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JvmStatus: {
            type: string;
            enum: string[];
        };
        JvmDocString: {
            type: string;
            properties: {
                line: {
                    type: string;
                };
                value: {
                    type: string;
                };
                content_type: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JvmDataTableRow: {
            type: string;
            properties: {
                cells: {
                    type: string;
                    items: {
                        type: string;
                    };
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JvmHook: {
            type: string;
            properties: {
                match: {
                    $ref: string;
                };
                result: {
                    $ref: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JvmTag: {
            type: string;
            properties: {
                name: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JvmLocationTag: {
            type: string;
            properties: {
                name: {
                    type: string;
                };
                type: {
                    type: string;
                };
                location: {
                    $ref: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
        JvmLocation: {
            type: string;
            properties: {
                line: {
                    type: string;
                };
                column: {
                    type: string;
                };
            };
            required: string[];
            additionalProperties: boolean;
        };
    };
};
export default _default;
//# sourceMappingURL=CucumberJvmSchema.d.ts.map