"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = __importDefault(require("assert"));
const fs_1 = __importDefault(require("fs"));
const glob_1 = require("glob");
const path_1 = __importDefault(require("path"));
const util_1 = require("util");
const src_1 = require("../src");
const readFile = (0, util_1.promisify)(fs_1.default.readFile);
describe('convert', () => {
    const jsonFiles = glob_1.glob.sync('testdata/*/*/json/*.json');
    // const jsonFiles = glob.sync('testdata/cucumber-ruby/2.0.0/json/step-with-arguments.json')
    // const jsonFiles = glob.sync('testdata/cucumber-jvm/7.2.3/json/failing-passing-pending-scenarios.json')
    for (const jsonFile of jsonFiles) {
        it(`converts ${jsonFile}`, async () => {
            const json = await readFile(jsonFile, 'utf-8');
            const ob = JSON.parse(json);
            const cucumberJsons = (0, src_1.convertMulti)(ob);
            if (cucumberJsons.length === 1) {
                const implementation = cucumberJsons[0].implementation;
                const dirname = path_1.default.basename(path_1.default.join(jsonFile, '../../..'));
                assert_1.default.strictEqual(implementation, dirname);
            }
            else {
                // This will check that the converted objects are the same (ignoring differences in the implementation)
                (0, src_1.convert)(ob);
            }
        });
    }
});
//# sourceMappingURL=convert.test.js.map